diff --git a/src/test/regress/pg_regress.c b/src/test/regress/pg_regress.c
index 991bb17..45aad00 100644
--- a/src/test/regress/pg_regress.c
+++ b/src/test/regress/pg_regress.c
@@ -1795,8 +1795,12 @@ create_database(const char *dbname)
 	 */
 	for (sl = loadlanguage; sl != NULL; sl = sl->next)
 	{
-		header(_("installing %s"), sl->str);
-		psql_command(dbname, "CREATE LANGUAGE \"%s\"", sl->str);
+		if ((pg_strncasecmp(sl->str, "plpgsql", sizeof("plpgsql")) != 0) &&
+			(pg_strncasecmp(sl->str, "pl/pgsql", sizeof("pl/pgsql")) != 0))
+		{
+			header(_("installing %s"), sl->str);
+			psql_command(dbname, "CREATE LANGUAGE \"%s\"", sl->str);
+		}
 	}
 }
 
